Flecs: ecs_term_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Attributes | List of all members
ecs_term_t Struct Reference
C API » Core » API types » Query descriptor types.

Type that describes a term (single element in a query). More...

`#include <flecs.h>`

## Public Attributes
ecs_id_t | id
| Component id to be matched by term.
ecs_term_ref_t | src
| Source of term.
ecs_term_ref_t | first
| Component or first element of pair.
ecs_term_ref_t | second
| Second element of pair.
ecs_entity_t | trav
| Relationship to traverse when looking for the component.
int16_t | inout
| Access to contents matched by term.
int16_t | oper
| Operator of term.
int8_t | field_index
| Index of field for term in iterator.
ecs_flags16_t | flags_
| Flags that help eval, set by ecs_query_init()

## Detailed Description

Type that describes a term (single element in a query).

Definition at line 768 of file flecs.h.

## Member Data Documentation

## ◆ field_index

int8_t ecs_term_t::field_index

Index of field for term in iterator.

Definition at line 785 of file flecs.h.

## ◆ first

ecs_term_ref_t ecs_term_t::first

Component or first element of pair.

Definition at line 775 of file flecs.h.

## ◆ flags_

ecs_flags16_t ecs_term_t::flags_

Flags that help eval, set by ecs_query_init()

Definition at line 786 of file flecs.h.

## ◆ id

ecs_id_t ecs_term_t::id

Component id to be matched by term.

Can be set directly, or will be populated from the first/second members, which provide more flexibility.

Definition at line 769 of file flecs.h.

## ◆ inout

int16_t ecs_term_t::inout

Access to contents matched by term.

Definition at line 782 of file flecs.h.

## ◆ oper

int16_t ecs_term_t::oper

Operator of term.

Definition at line 783 of file flecs.h.

## ◆ second

ecs_term_ref_t ecs_term_t::second

Second element of pair.

Definition at line 776 of file flecs.h.

## ◆ src

ecs_term_ref_t ecs_term_t::src

Source of term.

Definition at line 774 of file flecs.h.

## ◆ trav

ecs_entity_t ecs_term_t::trav

Relationship to traverse when looking for the component.

The relationship must have the `Traversable` property. Default is `IsA`.

Definition at line 778 of file flecs.h.

The documentation for this struct was generated from the following file:

- include/flecs.h